I have seen some posts about the BizTalk Accelerator for HL7 v2.0 not supporting Windows Server 2003 SP2. That seemed very odd to me so I asked the product teams and in fact there was a typo in the Known Issues where something from a previous release of the documentation was left.

Friday we posted an updated version of the documentation where the typo has been corrected.

The BizTalk Accelerator for HL7 v2.0 *is* supported on Windows Server 2003 SP2, the *minimum* requirement is SP1.